<!DOCTYPE html>
<html lang="en">
  <%- include("./partials/head.ejs") %>

  <body>
    <div class="container">
      <div class="content">
        <div class="slide gameBoard">
          <div class="gameBoard__content">
            <div
              id="refreshGameData"
              onclick="refreshButtonHandler()"
              class="gameBoard__buttonRefresh"
            >
              <svg
                xmlns="http://www.w3.org/2000/svg"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                aria-hidden="true"
                focusable="false"
                width="30px"
                height="30px"
                style="
                  -ms-transform: rotate(360deg);
                  -webkit-transform: rotate(360deg);
                  transform: rotate(360deg);
                "
                preserveAspectRatio="xMidYMid meet"
                viewBox="0 0 24 24"
              >
                <path
                  d="M10 11H7.101l.001-.009a4.956 4.956 0 0 1 .752-1.787a5.054 5.054 0 0 1 2.2-1.811c.302-.128.617-.226.938-.291a5.078 5.078 0 0 1 2.018 0a4.978 4.978 0 0 1 2.525 1.361l1.416-1.412a7.036 7.036 0 0 0-2.224-1.501a6.921 6.921 0 0 0-1.315-.408a7.079 7.079 0 0 0-2.819 0a6.94 6.94 0 0 0-1.316.409a7.04 7.04 0 0 0-3.08 2.534a6.978 6.978 0 0 0-1.054 2.505c-.028.135-.043.273-.063.41H2l4 4l4-4zm4 2h2.899l-.001.008a4.976 4.976 0 0 1-2.103 3.138a4.943 4.943 0 0 1-1.787.752a5.073 5.073 0 0 1-2.017 0a4.956 4.956 0 0 1-1.787-.752a5.072 5.072 0 0 1-.74-.61L7.05 16.95a7.032 7.032 0 0 0 2.225 1.5c.424.18.867.317 1.315.408a7.07 7.07 0 0 0 2.818 0a7.031 7.031 0 0 0 4.395-2.945a6.974 6.974 0 0 0 1.053-2.503c.027-.135.043-.273.063-.41H22l-4-4l-4 4z"
                  fill="yellow"
                />
              </svg>
              <span> Refresh </span>
            </div>
            <div class="gameBoard__nav">
              <ul>
                <li><a href="/game">Change Room</a></li>
                <li><a href="/profilstats">Your Stats</a></li>
                <li id="copyGameIdButton" onclick="">Show Room ID</li>
              </ul>
            </div>
            <div class="gameBoard__bigImage--player2">
              <img src="img/Rock.png" alt="player 2 choice" />
            </div>
            <h3 class="gameBoard__playerName">Your Opponent</h3>
            <div class="gameBoard__info">
              <h2 id="gameBoardInfo">Pick Your Hero!</h2>
            </div>
            <% if (user) { %>
            <h3 class="gameBoard__playerName">
              You: <span id="playerUserName"><%= user.userName %></span>
            </h3>
            <% } %>
            <div class="gameBoard__bigImage--player1">
              <img src="img/Rock.png" alt="player 1 choice" />
            </div>

            <div class="gameBoard__playerChoice" id="rockPaperScissors">
              <img src="img/Rock.png" alt="rock" data-hero="rock" />
              <img
                id="centerOps"
                src="img/Scissors.png"
                alt="scissors"
                data-hero="scissors"
              />
              <img src="img/Paper.png" alt="paper" data-hero="paper" />
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="id05" class="modal">
      <form class="modal__content">
        <h1 id="modalInfoResult">Congratulation!</h1>
        <div class="game__container--button">
          <a id="id05buttonModal" class="btn" href="/game">Play Again?</a>
          <a id="id05buttonModal" class="btn" href="/">Home</a>
        </div>
      </form>
    </div>
  </body>

  <script src="js/pageGameBoard.js"></script>
  <!-- <script src="js/modalLoginSignup.js"></script> -->
</html>
